Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87710 - power button doesn't work as expected
Summary: power button doesn't work as expected
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-01 17:14 UTC by Carlos Morgado
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-08 14:58:59 UTC


Attachments (Terms of Use)

Description Carlos Morgado 2003-04-01 17:14:43 UTC
The power button of the Toshiba Satellite 3600 is 'soft off' 
so you are supposed to press it for 4 seconds to make it
poweroff. 
With kernel-2.4.20-8 a simple touch to power button turns
it off. This is due to lack of ACPI.

Expected: 
Single touch doesn't do anything, you get reminded there's no
hybernate function

Actual result:
Single touch power off machine == crash

Comment 1 Matt Wilson 2003-04-01 17:23:05 UTC
what kind of crash?   Oops?


Comment 2 Carlos Morgado 2003-04-01 17:42:11 UTC
Sorry, I meant "power off machine equals crash", as in the machine turns power
off stone cold dead.

Comment 3 Arjan van de Ven 2003-04-11 13:40:50 UTC
"push power button"  -> "machine powers off"

that sounds just like what I would expect from a power button.....

Comment 4 Carlos Morgado 2003-05-16 13:30:45 UTC
No, "press the button 4 seconds" -> "machine powers off" is what is expected for
this machine. For power up you also need to press for a couple of seconds.
A single touch is supposed to do nothing or sleep/hibernate/whatever.

Comment 5 Alan Cox 2003-06-08 14:58:59 UTC
Thats BIOS controlled so beyond our ability to fix. When ACPI is ready enough I
suspect the ACPI kernel will solve this for you



Note You need to log in before you can comment on or make changes to this bug.